Bug 856798 - RHEL 6.4: Need document for hwtable_regex_match feature of multipath.conf
RHEL 6.4: Need document for hwtable_regex_match feature of multipath.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-DM_Multipath (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Steven J. Levine
ecs-bugs
: Documentation
Depends On: 802630 824243
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 15:56 EDT by Steven J. Levine
Modified: 2012-09-27 13:35 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 824243
Environment:
Last Closed: 2012-09-27 13:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven J. Levine 2012-09-12 15:56:18 EDT
+++ This bug was initially created as a clone of Bug #824243 +++

+++ This bug was initially created as a clone of Bug #802630 +++

Description of problem:

Neither manpage nor "/usr/share/doc/device-mapper-multipath-0.4.9" provide any info about "hwtable_regex_match" feature introduced by Bug #744756.

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.9-48.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. No document found for "hwtable_regex_match"

  
Actual results:
No document to explain how "hwtable_regex_match" work.

Expected results:
https://bugzilla.redhat.com/show_bug.cgi?id=744756#c15 could be good document for this parameter.
quote:
"hwtable_regex_match". Setting
it to "yes" will cause the user devices configs to be regex matched with the
builtin configs to determine if they should modify an existing config or create
a new one.   It defaults to "off".

Additional info:

--- Additional comment from pm-rhel@redhat.com on 2012-07-10 04:47:04 EDT ---

This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

--- Additional comment from pm-rhel@redhat.com on 2012-07-10 19:12:38 EDT ---

This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 1 Steven J. Levine 2012-09-12 15:59:22 EDT
This bug is to ensure that we will document hwtable_regex_match if necessary in the DM Multipath manual.
Comment 3 Steven J. Levine 2012-09-27 13:35:50 EDT
hwtable_regex_match is documented in table 4.1 of the DM-Multipath manual, so I'm closing this as current release.

Note You need to log in before you can comment on or make changes to this bug.